<?php

namespace Luticate\Auth\Controller;

use Luticate\Utils\LuController;
use Luticate\Auth\Business\LuticateUsersBusiness;
use Luticate\Auth\DBO\LuticateUsersDbo;

class LuticateUsersController extends LuController {
    protected function getBusiness()
    {
        return new LuticateUsersBusiness();
    }

    public function login($username, $password)
    {
        return LuticateUsersBusiness::login($username, $password);
    }

    public function logout($user)
    {
        return LuticateUsersBusiness::logout($user);
    }

    public function getById($user_id)
    {
        return LuticateUsersBusiness::getById($user_id);
    }

    public function add($username, $email, $password)
    {
        return LuticateUsersBusiness::add($username, $email, $password);
    }

    public function del($user_id)
    {
        return LuticateUsersBusiness::deleteById($user_id);
    }

    public function edit($email, $user_id)
    {
        return LuticateUsersBusiness::edit($user_id, $email);
    }

    public function editMe($email, $user)
    {
        return LuticateUsersBusiness::edit($user->getId(), $email);
    }

    public function setPassword($password, $user_id)
    {
        return LuticateUsersBusiness::setPassword($user_id, $password);
    }

    public function setPasswordMe($password, $oldPassword, $user)
    {
        return LuticateUsersBusiness::setPasswordMe($password, $oldPassword, $user);
    }
}